Subject: Some WG Mail Lists Archiving Incorrectly

From: Alexa Morris <[email-masked]>
Date: Thu, 26 Feb 2009 16:11:49 -0800

On February 3rd we upgraded the Mailman list archives in order to keep  
spammers from sending spam directly to our archives. It has since been  
brought to our attention that, as side effect of this upgrade, some  
mail lists with previously public archives had their list  
configuration reset to private archiving, which means that these  
archives have not been available for several weeks.

We are currently going through the Mailman settings for each of these  
lists and resetting the archives so that they will once again be  
publicly available. We anticipate that the list archives will be  
properly repaired by early next week. The complete tally of impacted  
lists is included below.

As always, please feel free to contact me with any questions or  
concerns.

Impacted Mail Lists:

16ng
adslmib
ason-routing
bmwg
bofchairs
bridge-mib
cfrg
crisp
dccp
diffserv-interest
dns-dir
ecrit
enum
gsmp
hubmib
ietf-message-headers
imap
intersecs
ipcdn
ipdir
ipoverib
ipv6-adoption
irtf-announce
isis-update
kmart
l1vpn
l2vpn
l3vpn
ldap-dir
lemonade
malloc
media-feature-tags
megaco
midcom
mip4
mip6
mipshop
mobopts
mpls
mpls-interop
nemo
new-work
nsis
numbers
ops-dir
ospf-wireless-design
p2pi-com
pana
pim
port-srv-reg
pppext
proxies
pwe3
rai-discuss
rfced-ietf
rip
rir-ietf
rmonmib
rmt
rohc
rserpool
rtg-bfd
rtg-dir
rtg-mibs
rtg-rdd
rtgwg
saad
sigtran
sitescope-list
spam-discussion
speechsc
ssm
tcpao-security
tmc
tsv-dir
uri-review
urn-nid
videomgmt
vpim
vpn-dir
vrrp
w3c-policy
xcon

Regards,
Alexa

-----------
Alexa Morris / Executive Director / IETF
48377 Fremont Blvd., Suite 117, Fremont, CA  94538
Phone: +1.510.492.4089 / Fax: +1.510.492.4001
Email: [email-masked]

Managed by Association Management Solutions (AMS)
Forum Management, Meeting and Event Planning
www.amsl.com <http://www.amsl.com/>

---

From: Alexa Morris <[email-masked]>
Date: Thu, 26 Feb 2009 16:17:39 -0800

One thing that I did not make clear in my original email is that our  
preliminary investigation indicates that no mail has been lost, it has  
just been moved to private archives. Therefore we anticipate that all  
mail will be restored in the appropriate public archive early next week.

Alexa

On Feb 26, 2009, at 4:11 PM, Alexa Morris wrote:

> On February 3rd we upgraded the Mailman list archives in order to  
> keep spammers from sending spam directly to our archives. It has  
> since been brought to our attention that, as side effect of this  
> upgrade, some mail lists with previously public archives had their  
> list configuration reset to private archiving, which means that  
> these archives have not been available for several weeks.
>
> We are currently going through the Mailman settings for each of  
> these lists and resetting the archives so that they will once again  
> be publicly available. We anticipate that the list archives will be  

-----------

Date: Tue, 03 Feb 2009 16:30:44 -0500
From: James M Galvin <[email-masked]>
Subject: spam delivery to list archives has been fixed
To: [email-masked]
Cc: Steve Young <[email-masked]>

Thanks to Steve Young at AMS, as of about an hour ago, the spam 
delivery to IETF hosted list archives has been fixed.  The email flow 
through the system has been changed.  Specifically, all of the 
"-archive" and "-web-archive" email aliases for lists hosted at the 
IETF have now been eliminated, which will eliminate the spam delivery 
to archives for lists hosted at the IETF.

You may notice this change if you check your list of subscribers.  In 
particular, it used to be the case that every mailing list had two 
special subscribers:

    [email-masked]
    [email-masked]

These subscribers, along with their corresponding email aliases, have 
been removed.  The spam was arriving addressed directly to those 
aliases and the system was not setup to deal with that effectively. 
Note that this was an inherited configuration.  What AMS has done is 
improve the current configuration to be more robust and architecturally 
self-consistent.  There's more that could be done but this is a step in 
the right direction that solves the immediate problem.

Please note, DO NOT TURN OFF ARCHIVING on your mailing list.  If you 
are not the person who manages your mailing list please make sure the 
person who does this for you knows this.  I don't expect this to be a 
real problem but there were a few lists we found along the way that did 
not have archiving enabled.  We re-enabled archiving on those lists.

In addition, DO NOT SWITCH BETWEEN A PUBLIC AND PRIVATE ARCHIVE.  The 
system will not lose messages, which is to say that all messages will 
get archived, but messages put in a "private" archive will be really 
private since you will not have access to them.  The web server is not 
(in fact, never has been) setup to make private archives available.  If 
you should do this, presumably by accident, the messages can be 
manually moved from the private archive to the public archive.

For those who are interested in a little more detail, to make this 
change Mailman was shutdown for less than 10 minutes while the change 
was installed.  The mail system was not shutdown because the new alias 
file could be posted and used immediately by the running system.  There 
were several changes to the Mailman configuration and subscriber lists 
and they all needed to be done "at the same time," so it had to be 
shutdown while this done.

The next step is eliminating the spam that has already been added to 
the archives.  Steve Young will be taking care of this going forward. 
If you have any concerns about this process please do send a message to 
[email-masked].

Thanks for your patience!

Jim

Date: Tue, 03 Feb 2009 17:04:42 -0500
From: Barry Leiba <[email-masked]>
To: James M Galvin <[email-masked]>, [email-masked]
Subject: Re: spam delivery to list archives has been fixed
Cc: Steve Young <[email-masked]>

> Thanks to Steve Young at AMS, as of about an hour ago, the spam delivery to
> IETF hosted list archives has been fixed.  The email flow through the system
> has been changed.  Specifically, all of the "-archive" and "-web-archive" email
> aliases for lists hosted at the IETF have now been eliminated, which will
> eliminate the spam delivery to archives for lists hosted at the IETF.

Thanks, Jim.

But I presume that mailing lists hosted elsewhere still use the old archive 
mechanism and are still vulnerable to the spam problem we've been talking about. 
Have you done anything to deal with that?

Clearly, switching to a built-in archive system, rather than the subscription 
kludge, for the IETF-hosted lists is a good thing.  But not all the working-group 
lists are hosted there.

Barry

-- 
Barry Leiba, DKIM working group chair